<?php
function cvtqf7_summarize($param) {
    global $CV_PATH;

    include_once $CV_PATH.'/inc_tqf7/cvtqf7_controller.inc';

    
    drupal_add_js($CV_PATH.'/inc_tqf7/cvtqf7_summarize.js');
    
    $ct .= '<script src="'.$CV_PATH.'/inc_tqf7/cvtqf7_summarize.js"></script>';

    $CVTQF7_STYLE_VERSION = '1.0.0.0';
    $css = $CV_PATH.'/inc_tqf7/cvtqf7_summarize.css?v='.$CVTQF7_STYLE_VERSION;
    $ct .= cvqk_append_css($css);
    // $result =  cvtqf7_load_all_courses();
    // print_r($result);

    
    // $ct .= '<div>';
    // // $ct .= cvui_render_spinner(cvtqf7_load_course('2110200'));
    
    // $ct .= '</div>';
    // $ct .= test();

    $section_id = $param["section_id"];

    $ct .= '<div id="page-4-1" data-key="section_id" data-value="'.$section_id.'">';
    $ct .= '    <div class="flex flex-col">';
    $ct .= '      <div class="grid grid-cols-12 h-12">';
    $ct .= '        <ul';
    $ct .= '          id="groupBar"';
    $ct .= '          class="col-span-10 flex flex-row items-end gap-1"';
    $ct .= '        >';
    $ct .= '        </ul>';
    $ct .= '        <div class="col-span-2 flex justify-end items-center">';
    $ct .= '          <button id="openAddGroupModal" class="flex flex-row justify-center items-center gap-2 bg-maintheme-color px-4 py-1 text-white rounded-md hidden">';
    $ct .= '              <svg xmlns="http://www.w3.org/2000/svg" width="8" height="8" viewBox="0 0 12 12" fill="none">';
    $ct .= '                 <path d="M11.1663 6.83366H6.99967V11.0003C6.99967 11.4587 6.62467 11.8337 6.16634 11.8337C5.70801 11.8337 5.33301 11.4587 5.33301 11.0003V6.83366H1.16634C0.708008 6.83366 0.333008 6.45866 0.333008 6.00033C0.333008 5.54199 0.708008 5.16699 1.16634 5.16699H5.33301V1.00033C5.33301 0.541992 5.70801 0.166992 6.16634 0.166992C6.62467 0.166992 6.99967 0.541992 6.99967 1.00033V5.16699H11.1663C11.6247 5.16699 11.9997 5.54199 11.9997 6.00033C11.9997 6.45866 11.6247 6.83366 11.1663 6.83366Z" fill="white"/>';
    $ct .= '              </svg>';
    $ct .= '              <div class="font-bold">หมวด</div>';
    // $ct .= '              <div>+ หมวด</div>';
    $ct .= '          </button>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '      <div class="groupData">';
    $ct .= '        <div class="grid grid-cols-12 gap-8 mt-4 mb-2 mx-2 px-2 delete-gap-when-print ">';
    $ct .= '          <div class=" font-bold col-span-2 flex items-center justify-center text-center">';
    $ct .= '            รายวิชา';
    $ct .= '          </div>';
    $ct .= '          <div class=" font-bold col-span-1 flex flex-col items-center justify-center text-center text-sm-print">';
    $ct .= '            จำนวนนิสิต';
    $ct .= '          </div>';
    $ct .= '          <div class=" font-bold col-span-1">';
    $ct .= '            <div class="flex flex-col items-center justify-center w-full h-full">';
    $ct .= '              <div class="text-xs  text-center text-sm-print">จำนวนการประเมิน</div>';
    $ct .= '              <div class="flex flex-row gap-2">';
    $ct .= '                <div class="text-sm-print">ผู้สอน</div>';
    $ct .= '                <div class="text-sm-print">นิสิต</div>';
    $ct .= '              </div>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '          <div class=" font-bold col-span-1">';
    $ct .= '            <div class="flex flex-col items-center justify-center w-full h-full">';
    $ct .= '              <div class="text-xs  text-center text-sm-print">(นิสิต)</div>';
    $ct .= '              <div class="text-center text-sm-print">คุณภาพการสอน</div>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '          <div class="font-bold col-span-1">';
    $ct .= '            <div class="flex flex-col items-center justify-center w-full h-full">';
    $ct .= '              <div class="text-xs  text-center text-sm-print">(นิสิต)</div>';
    $ct .= '              <div class="text-center text-sm-print">สิ่งสนับสนุนการเรียน</div>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '          <div class="font-bold col-span-1">';
    $ct .= '            <div class="flex flex-col items-center justify-center w-full h-full">';
    $ct .= '              <div class="text-xs  text-center text-sm-print">(นิสิต)</div>';
    $ct .= '              <div class="text-center text-sm-print">ดัชนีความพึงพอใจ</div>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '          <div class="font-bold col-span-2 flex items-center justify-center text-center">';
    $ct .= '            แผนการปรับปรุง';
    $ct .= '          </div>';
    $ct .= '          <div class="font-bold col-span-1 flex items-center justify-center text-center col-span-2-print">';
    $ct .= '            หมายเหตุ';
    $ct .= '          </div>';
    $ct .= '          <div class="font-bold col-span-1 flex items-center justify-center text-center">';
    $ct .= '            ไม่ปกติ';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '        <ul id="subjectList">';
    $ct .= '        </ul>';
    $ct .= '        <div class="mx-2 mb-2">';
    $ct .= '          <button';
    $ct .= '            id="openAddSubjectModal"';
    $ct .= '            class="w-full flex flex-row justify-center items-center gap-3 py-2 border bg-maintheme-color text-white rounded-md hidden"';
    $ct .= '          >';
    $ct .= '            <svg xmlns="http://www.w3.org/2000/svg" width="8" height="8" viewBox="0 0 12 12" fill="none">';
    $ct .= '              <path d="M11.1663 6.83366H6.99967V11.0003C6.99967 11.4587 6.62467 11.8337 6.16634 11.8337C5.70801 11.8337 5.33301 11.4587 5.33301 11.0003V6.83366H1.16634C0.708008 6.83366 0.333008 6.45866 0.333008 6.00033C0.333008 5.54199 0.708008 5.16699 1.16634 5.16699H5.33301V1.00033C5.33301 0.541992 5.70801 0.166992 6.16634 0.166992C6.62467 0.166992 6.99967 0.541992 6.99967 1.00033V5.16699H11.1663C11.6247 5.16699 11.9997 5.54199 11.9997 6.00033C11.9997 6.45866 11.6247 6.83366 11.1663 6.83366Z" fill="white"/>';
    $ct .= '            </svg>';
    $ct .= '            <div class="font-bold">รายวิชา</div>';
    $ct .= '          </button>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '    </div>';
    $ct .= '    <div class="flex flex-col mt-8">';
    $ct .= '      <div class="flex flex-col ">';
    $ct .= '        <div class="mb-4 font-bold">ผลการเรียนรู้</div>';
    $ct .= '        <ul id="subGroupBar" class="flex flex-row items-end gap-1">';
    $ct .= '          <li class="subGroupInBar">';
    $ct .= '            <span class="font-bold px-3 py-1 rounded-t-md">';
    $ct .= '              B.Eng. (Comp Eng)';
    $ct .= '            </span>';
    $ct .= '          </li>';
    $ct .= '          <li class="subGroupInBar selected-subgroup">';
    $ct .= '            <span class="text-white font-bold px-3 py-1 rounded-t-md">';
    $ct .= '              CU';
    $ct .= '            </span>';
    $ct .= '          </li>';
    $ct .= '          <li class="subGroupInBar">';
    $ct .= '            <span class="font-bold px-3 py-1 rounded-t-md">';
    $ct .= '              Sci_BSChE';
    $ct .= '            </span>';
    $ct .= '          </li>';
    $ct .= '        </ul>';
    $ct .= '      </div>';
    $ct .= '      <div class="subGroupHead">';
    $ct .= '        01. มีความรู้';
    $ct .= '      </div>';
    $ct .= '      <div class="subGroupData">';
    $ct .= '        <div class="flex flex-col">';
    $ct .= '          <div class="ml-3 my-1 pt-2 font-bold">01.1 รู้รอบ</div>';
    $ct .= '          <div class="mx-14 flex flex-col">';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">';
    $ct .= '                    2759145 ทวิภาค / ภาคต้น';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1">4.50</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">4.67</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">0.17</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '        <div class="flex flex-col">';
    $ct .= '          <div class="ml-3 my-1 pt-2 font-bold">01.2 รู้ลึก</div>';
    $ct .= '          <div class="mx-14 flex flex-col">';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col ">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col  ">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '    </div>';
    $ct .= '    <div class="flex flex-col mt-2">';
    $ct .= '      <div class="subGroupHead">';
    $ct .= '        02. มีคุณธรรม';
    $ct .= '      </div>';
    $ct .= '      <div class="subGroupData">';
    $ct .= '        <div class="flex flex-col">';
    $ct .= '          <div class="ml-3 my-1 pt-2 font-bold">';
    $ct .= '            02.1 มีคุณธรรมและจริยธรรม';
    $ct .= '          </div>';
    $ct .= '          <div class="mx-14 flex flex-col">';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '        <div class="flex flex-col">';
    $ct .= '          <div class="ml-3 my-1 pt-2 font-bold">02.2 มีจรรยาบรรณ</div>';
    $ct .= '          <div class="mx-14 flex flex-col">';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '            <div class="my-1">';
    $ct .= '              <div class="subSubGroupHead">';
    $ct .= '                ไม่ระบุหมวด';
    $ct .= '              </div>';
    $ct .= '              <ul class="flex flex-col">';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1 font-bold">';
    $ct .= '                    รายละเอียด';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้สอน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผู้เรียน';
    $ct .= '                  </div>';
    $ct .= '                  <div class="col span-1 text-center py-1 font-bold">';
    $ct .= '                    ผลต่าง';
    $ct .= '                  </div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '                <li class="grid grid-cols-5 bg-white border-b-[1px]">';
    $ct .= '                  <div class="col-span-2 text-center py-1">item1</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item2</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item3</div>';
    $ct .= '                  <div class="col span-1 text-center py-1">item4</div>';
    $ct .= '                </li>';
    $ct .= '              </ul>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '    </div>';
    $ct .= '    <div';
    $ct .= '      id="addGroupModal"';
    $ct .= '      class="fixed inset-0 flex items-center justify-center bg-gray-800 bg-opacity-75 hidden"';
    $ct .= '    >';
    $ct .= '      <div';
    $ct .= '        id="addGroupModalContent"';
    $ct .= '        class="bg-white rounded-lg shadow-lg w-[70vw] h-[75vh] transform transition-transform duration-500 modal-hidden"';
    $ct .= '      >';
    $ct .= '        <div class="w-full h-full flex items-center justify-center">';
    $ct .= '          <div class="h-[65vh] w-[65vw] flex flex-col">';
    $ct .= '            <div class="h-[60vh] w-full flex flex-col">';
    $ct .= '              <div class="font-bold flex items-center justify-center text-lg text-center h-[8vh]">';
    $ct .= '                กรุณากรอกชื่อหมวดและเลือกรายวิชาที่ต้องการ';
    $ct .= '              </div>';
    $ct .= '              <div class="grid grid-cols-12 h-[8vh]">';
    $ct .= '                <div class="col-span-2 font-bold">';
    $ct .= '                  ชื่อหมวด';
    $ct .= '                </div>';
    $ct .= '                <div class="col-span-10">';
    $ct .= '                  <input';
    $ct .= '                    id="newGroupName"';
    $ct .= '                    class="w-full border border-slate-300 rounded-md px-4 py-1"';
    $ct .= '                    type="text"';
    $ct .= '                    placeholder="กรอกชื่อหมวด"';
    $ct .= '                  />';
    $ct .= '                </div>';
    $ct .= '              </div>';
    $ct .= '              <div class="grid grid-cols-12 h-[44vh]">';
    $ct .= '                <div class="col-span-2 font-bold">';
    $ct .= '                  รายวิชาที่เลือก';
    $ct .= '                </div>';
    $ct .= '                <div class="col-span-10 flex flex-col">';
    $ct .= '                  <div class="grid grid-cols-10 h-[10vh]">';
    $ct .= '                    <div class="col-span-8 border border-slate-300 rounded-md">';
    $ct .= '                      <div class="h-[10vh] overflow-y-scroll scrollbar">';
    $ct .= '                        <ul';
    $ct .= '                          id="selectedListInAddGroupModal"';
    $ct .= '                          class="grid grid-cols-3 gap-1 mr-14 ml-1 mt-1 mb-1"';
    $ct .= '                        >';
    $ct .= '                        </ul>';
    $ct .= '                      </div>';
    $ct .= '                    </div>';
    $ct .= '                    <div class="col-span-2 flex justify-center">';
    $ct .= '                      <input type="file" id="csv-input" class="hidden">';
    // $ct .= '                      '
    $ct .= '                      <label for="csv-input"';
    $ct .= '                        class="bg-maintheme-color flex flex-row items-center justify-center gap-1 px-2 py-2 h-8 w-full ml-4 text-white text-xs rounded-md"';
    $ct .= '                      >';
    $ct .= '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">';
    $ct .= '                          <path d="M5.5 5.9C5.5 5.05992 5.5 4.63988 5.66349 4.31901C5.8073 4.03677 6.03677 3.8073 6.31901 3.66349C6.63988 3.5 7.05992 3.5 7.9 3.5H12.5059C12.8728 3.5 13.0562 3.5 13.2288 3.54145C13.3819 3.57819 13.5282 3.6388 13.6624 3.72104C13.8138 3.8138 13.9435 3.94352 14.2029 4.20294L17.7971 7.79706C18.0565 8.05648 18.1862 8.1862 18.279 8.33757C18.3612 8.47178 18.4218 8.6181 18.4586 8.77115C18.5 8.94378 18.5 9.12723 18.5 9.49411V18.1C18.5 18.9401 18.5 19.3601 18.3365 19.681C18.1927 19.9632 17.9632 20.1927 17.681 20.3365C17.3601 20.5 16.9401 20.5 16.1 20.5H7.9C7.05992 20.5 6.63988 20.5 6.31901 20.3365C6.03677 20.1927 5.8073 19.9632 5.66349 19.681C5.5 19.3601 5.5 18.9401 5.5 18.1V5.9Z" stroke="white"/>';
    $ct .= '                          <path d="M12.5 3.5V7.1C12.5 7.94008 12.5 8.36012 12.6635 8.68099C12.8073 8.96323 13.0368 9.1927 13.319 9.33651C13.6399 9.5 14.0599 9.5 14.9 9.5H18.5" stroke="white"/>';
    $ct .= '                        </svg>';
    $ct .= '                        <div class="smalltext">เพิ่มไฟล์ CSV</div>';
    $ct .= '                      </label>';
    $ct .= '                    </div>';
    $ct .= '                  </div>';
    $ct .= '                  <div class="mt-[3vh] h-[10vh]">';
    $ct .= '                    <div class="w-full h-[31vh] flex flex-col rounded-md">';
    $ct .= '                      <div class=" rounded-sm h-[4vh] flex flex-row">';
    $ct .= '                        <div class="headOfUnSelected">';
    $ct .= '                          รหัสวิชา / รายวิชา';
    $ct .= '                        </div>';
    $ct .= '                        <div class="divSearchSubject hidden">';
    $ct .= '                          <input';
    $ct .= '                            type="search"';
    $ct .= '                            id="searchInGroupModal"';
    $ct .= '                            placeholder="ค้นหารหัสรายวิชา"';
    $ct .= '                            class="text-xs px-2 py-1 border border-slate-400 rounded-sm focus:border-transparent focus:outline-none"';
    $ct .= '                          />';
    $ct .= '                        </div>';
    $ct .= '                      </div>';
    $ct .= '                      <ul';
    $ct .= '                        id="unSelectedListInAddGroupModal"';
    $ct .= '                        class="h-[27vh] overflow-y-scroll scrollbar flex flex-col"';
    $ct .= '                      >';
    $ct .= '                      </ul>';
    $ct .= '                    </div>';
    $ct .= '                  </div>';
    $ct .= '                </div>';
    $ct .= '              </div>';
    $ct .= '            </div>';
    $ct .= '            <div class="h-[5vh] w-full flex items-end justify-center">';
    $ct .= '              <button id="addGroup" class="bg-maintheme-color flex flex-row justify-center items-center gap-2 px-4 py-2 text-white text-sm rounded-md">';
    // $ct .= '                <span class="">';
    $ct .= '                    <svg xmlns="http://www.w3.org/2000/svg" width="8" height="8" viewBox="0 0 12 12" fill="none">';
    $ct .= '                    <path d="M11.1663 6.83366H6.99967V11.0003C6.99967 11.4587 6.62467 11.8337 6.16634 11.8337C5.70801 11.8337 5.33301 11.4587 5.33301 11.0003V6.83366H1.16634C0.708008 6.83366 0.333008 6.45866 0.333008 6.00033C0.333008 5.54199 0.708008 5.16699 1.16634 5.16699H5.33301V1.00033C5.33301 0.541992 5.70801 0.166992 6.16634 0.166992C6.62467 0.166992 6.99967 0.541992 6.99967 1.00033V5.16699H11.1663C11.6247 5.16699 11.9997 5.54199 11.9997 6.00033C11.9997 6.45866 11.6247 6.83366 11.1663 6.83366Z" fill="white"/>';
    $ct .= '                    </svg>';
    $ct .= '                    <div class="font-bold">เพิ่มหมวด</div>';
    // $ct .= '                </span>';
    $ct .= '              </button>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '    </div>';
    $ct .= '    <div';
    $ct .= '      id="addSubjectModal"';
    $ct .= '      class="fixed inset-0 flex items-center justify-center bg-gray-800 bg-opacity-75 hidden"';
    $ct .= '    >';
    $ct .= '      <div';
    $ct .= '        id="addSubjectModalContent"';
    $ct .= '        class="bg-white rounded-lg shadow-lg w-[70vw] h-[75vh] transform transition-transform duration-500 modal-hidden"';
    $ct .= '      >';
    $ct .= '        <div class="w-full h-full flex items-center justify-center">';
    $ct .= '          <div class="h-[65vh] w-[65vw] flex flex-col">';
    $ct .= '            <div class="bg-white h-[60vh] w-full flex flex-col">';
    $ct .= '              <div class="font-bold flex items-center justify-center text-lg text-center h-[8vh]">';
    $ct .= '                กรุณากรอกชื่อหมวดและเลือกรายวิชาที่ต้องการ';
    $ct .= '              </div>';
    $ct .= '              <div class="grid grid-cols-12 h-[52vh]">';
    $ct .= '                <div class="col-span-2 font-bold">';
    $ct .= '                  รายวิชาที่เลือก';
    $ct .= '                </div>';
    $ct .= '                <div class="col-span-10 flex flex-col">';
    $ct .= '                  <div class="grid grid-cols-10 h-[10vh]">';
    $ct .= '                    <div class="col-span-8 border border-slate-300 rounded-md">';
    $ct .= '                      <div class="h-[10vh] overflow-y-scroll scrollbar">';
    $ct .= '                        <ul';
    $ct .= '                          id="selectedListInAddSubjectModal"';
    $ct .= '                          class="grid grid-cols-3 gap-1 mr-14 ml-1 mt-1 mb-1"';
    $ct .= '                        >';
    $ct .= '                        </ul>';
    $ct .= '                      </div>';
    $ct .= '                    </div>';
    $ct .= '                    <div class="col-span-2 flex justify-center">';
    $ct .= '                      <input type="file" id="csv-input-2" class="hidden">';
    $ct .= '                      <label';
    $ct .= '                        for="csv-input-2"';
    $ct .= '                        class="bg-maintheme-color flex flex-row justify-center items-center gap-1 px-2 py-2 h-8 w-full ml-4 text-white text-xs rounded-md"';
    $ct .= '                      >';
    $ct .= '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">';
    $ct .= '                          <path d="M5.5 5.9C5.5 5.05992 5.5 4.63988 5.66349 4.31901C5.8073 4.03677 6.03677 3.8073 6.31901 3.66349C6.63988 3.5 7.05992 3.5 7.9 3.5H12.5059C12.8728 3.5 13.0562 3.5 13.2288 3.54145C13.3819 3.57819 13.5282 3.6388 13.6624 3.72104C13.8138 3.8138 13.9435 3.94352 14.2029 4.20294L17.7971 7.79706C18.0565 8.05648 18.1862 8.1862 18.279 8.33757C18.3612 8.47178 18.4218 8.6181 18.4586 8.77115C18.5 8.94378 18.5 9.12723 18.5 9.49411V18.1C18.5 18.9401 18.5 19.3601 18.3365 19.681C18.1927 19.9632 17.9632 20.1927 17.681 20.3365C17.3601 20.5 16.9401 20.5 16.1 20.5H7.9C7.05992 20.5 6.63988 20.5 6.31901 20.3365C6.03677 20.1927 5.8073 19.9632 5.66349 19.681C5.5 19.3601 5.5 18.9401 5.5 18.1V5.9Z" stroke="white"/>';
    $ct .= '                          <path d="M12.5 3.5V7.1C12.5 7.94008 12.5 8.36012 12.6635 8.68099C12.8073 8.96323 13.0368 9.1927 13.319 9.33651C13.6399 9.5 14.0599 9.5 14.9 9.5H18.5" stroke="white"/>';
    $ct .= '                        </svg>';
    $ct .= '                        <div class="smalltext">เพิ่มไฟล์ CSV</div>';
    $ct .= '                      </label>';
    $ct .= '                    </div>';
    $ct .= '                  </div>';
    $ct .= '                  <div class="mt-[3vh] h-[10vh]">';
    $ct .= '                    <div class="w-full h-[39vh] flex flex-col rounded-md">';
    $ct .= '                      <div class=" rounded-sm h-[4vh] flex flex-row">';
    $ct .= '                        <div class="headOfUnSelected">';
    $ct .= '                          รหัสวิชา / รายวิชา';
    $ct .= '                        </div>';
    $ct .= '                        <div class="divSearchSubject hidden">';
    $ct .= '                          <input';
    $ct .= '                            type="search"';
    $ct .= '                            id="searchInSubjectModal"';
    $ct .= '                            placeholder="ค้นหารหัสรายวิชา"';
    $ct .= '                            class="text-xs px-2 py-1 border border-slate-400 rounded-sm focus:border-transparent focus:outline-none"';
    $ct .= '                          />';
    $ct .= '                        </div>';
    $ct .= '                      </div>';
    $ct .= '                      <ul';
    $ct .= '                        id="unSelectedListInAddSubjectModal"';
    $ct .= '                        class="h-[35vh] overflow-y-scroll scrollbar flex flex-col"';
    $ct .= '                      >';
    $ct .= '                      </ul>';
    $ct .= '                    </div>';
    $ct .= '                  </div>';
    $ct .= '                </div>';
    $ct .= '              </div>';
    $ct .= '            </div>';
    $ct .= '            <div class="h-[5vh] w-full flex items-end justify-center">';
    $ct .= '              <button id="addSubject" class="bg-maintheme-color flex flex-row justify-center items-center gap-2 px-4 py-2 text-white text-sm rounded-md">';
    // $ct .= '                <span class="">';
    $ct .= '                    <svg xmlns="http://www.w3.org/2000/svg" width="8" height="8" viewBox="0 0 12 12" fill="none">';
    $ct .= '                    <path d="M11.1663 6.83366H6.99967V11.0003C6.99967 11.4587 6.62467 11.8337 6.16634 11.8337C5.70801 11.8337 5.33301 11.4587 5.33301 11.0003V6.83366H1.16634C0.708008 6.83366 0.333008 6.45866 0.333008 6.00033C0.333008 5.54199 0.708008 5.16699 1.16634 5.16699H5.33301V1.00033C5.33301 0.541992 5.70801 0.166992 6.16634 0.166992C6.62467 0.166992 6.99967 0.541992 6.99967 1.00033V5.16699H11.1663C11.6247 5.16699 11.9997 5.54199 11.9997 6.00033C11.9997 6.45866 11.6247 6.83366 11.1663 6.83366Z" fill="white"/>';
    $ct .= '                    </svg>';
    $ct .= '                    <div class="font-bold">เพิ่มรายวิชา</div>';
    // $ct .= '                </span>';
    $ct .= '              </button>';
    $ct .= '            </div>';
    $ct .= '          </div>';
    $ct .= '        </div>';
    $ct .= '      </div>';
    $ct .= '    </div>';
    $ct .= '  </div>';

    return $ct;
}